
<table mat-table [dataSource]="persons" class="mat-elevation-z8">

    <!--- Note that these columns can be defined in any order.
          The actual rendered columns are set as a property on the row definition" -->
  
    <!-- Id Column -->
    <ng-container matColumnDef="id">
      <th mat-header-cell *matHeaderCellDef> Id </th>
      <td mat-cell *matCellDef="let element"> {{element.id}} </td>
    </ng-container>
  
    <!-- Firstname Column -->
    <ng-container matColumnDef="firstname">
      <th mat-header-cell *matHeaderCellDef> Firstname </th>
      <td mat-cell *matCellDef="let element"> {{element.firstname}} </td>
    </ng-container>
  
    <tr mat-header-row *matHeaderRowDef="['id', 'firstname']"></tr>
    <tr mat-row *matRowDef="let row; columns: ['id', 'firstname'];"></tr>
  </table>
  
  